# Copyright (c) 2016 Applause Inc. All rights reserved.

require "xcodebuild_rake/version"

ROOT_DIR = File.dirname(__FILE__)

#Load all rake tasks
Dir.glob(File.join(ROOT_DIR, "tasks", "*.rake")) { |script|
  load script
}

#Load all classes
Dir.glob(File.join(ROOT_DIR, "model", "*.rb")) { |script|
  require "#{script}"
}

#Load all modules
Dir.glob(File.join(ROOT_DIR, "modules", "*.rb")) { |script|
  require "#{script}"
  include self.class.const_get(File.basename(script).gsub('.rb','').split("_").map{|ea| ea.capitalize}.join(""))
}

Rake::FileUtilsExt.verbose(false)

### BUILD SCRIPT FUNCTIONS ###

def display_version()
	puts File.open("./xcodebuild_rake/version", "rb").read
end
