# Copyright (c) 2017 Applause Inc. All rights reserved.

APPLAUSE_TOOL_DEFAULT_SERVICE = 'sdk'

module ApplauseTool
	def upload_app(app_path, company_id, application_id, publish_email_addresses, service = APPLAUSE_TOOL_DEFAULT_SERVICE, distribution_group = nil)
		distribution = ''
		if service == APPLAUSE_TOOL_DEFAULT_SERVICE
			publish_email_addresses.each { |a|
				distribution += " -e '#{a}'"
			} unless publish_email_addresses.nil?
		else
			company_id = ''
			distribution = "-g #{distribution_group}"
		end
		`applause-tool #{service} distribute --set-as-current #{company_id} #{application_id} '#{app_path}' #{distribution}`
	end
end
